import request from '@/utils/request'

// 查询护理机构和护理项目分类信息列表
export function listInfo(query) {
    return request({
        url: '/classifyItem/info/list',
        method: 'get',
        params: query
    })
}

// 查询护理机构和护理项目分类信息详细
export function getInfo(id) {
    return request({
        url: '/classifyItem/info/' + id,
        method: 'get'
    })
}

// 新增护理机构和护理项目分类信息
export function addInfo(data) {
    return request({
        url: '/classifyItem/info/add',
        method: 'post',
        data: data
    })
}

// 修改护理机构和护理项目分类信息
export function updateInfo(data) {
    return request({
        url: '/classifyItem/info/edit',
        method: 'post',
        data: data
    })
}

// 删除护理机构和护理项目分类信息
export function delInfo(id) {
    return request({
        url: '/classifyItem/info/' + id,
        method: 'delete'
    })
}